unit privatedllInterface;

interface

uses SDKExampleDatatype;

  function MTSSE_StartDevices(aHandle : THandle):integer;cdecl;
  function MTSSE_StopDevices():integer;cdecl;
  function MTSSE_GetModuleNo(const iDevice:integer;ModuleNo:pChar):integer;cdecl;
  function MTSSE_GetSerialNo(const iDevice:integer;SerialNo:pChar):integer;cdecl;
  function MTSSE_SetWorkingDevice(iDevice:integer):integer;cdecl;
  function MTSSE_SetDeviceWorkMode(WorkMode : integer):integer;cdecl;
  function MTSSE_SetExposureTime(iMicroSec:integer):integer;cdecl;
  function MTSSE_SetFrameAvgCnt(iAvgCnt:integer):integer;  cdecl;
  function MTSSE_SetAutoDarkStatus(AutoDarkStatus: integer):integer;cdecl;
  function MTSSE_SetRRCStatus(bRRCStatus :integer):integer;cdecl;
  function MTSSE_SetLETCStatus(bETCStatus :integer):integer;cdecl
  function MTSSE_GrabSpectrum():integer; cdecl;
  function MTSSE_GetSpectrum(var SpectrumDataPtr :PWord; WaitUntilDone : integer ):PWord;cdecl;
  function MTSSE_PixelValue(wavelength: integer):integer;cdecl;
  function MTSSE_WavelengthValue(pixel : integer):integer;cdecl;
  function MTSSE_formShow():integer; cdecl;
implementation
  function MTSSE_StartDevices;external 'MT_Spectrometer_SDK.dll' name 'MTSSE_StartDevices';
  function MTSSE_StopDevices;external 'MT_Spectrometer_SDK.dll' name 'MTSSE_StopDevices';
  function MTSSE_GetModuleNo;external 'MT_Spectrometer_SDK.dll' name 'MTSSE_GetModuleNo';
  function MTSSE_GetSerialNo;external 'MT_Spectrometer_SDK.dll' name 'MTSSE_GetSerialNo';
  function MTSSE_SetWorkingDevice;external 'MT_Spectrometer_SDK.dll' name 'MTSSE_SetWorkingDevice';
  function MTSSE_SetDeviceWorkMode;external 'MT_Spectrometer_SDK' name 'MTSSE_SetDeviceWorkMode';

  function MTSSE_SetExposureTime;external 'MT_Spectrometer_SDK.dll' name 'MTSSE_SetExposureTime';
  function MTSSE_SetFrameAvgCnt;external 'MT_Spectrometer_SDK.dll' name 'MTSSE_SetFrameAvgCnt';
  function MTSSE_SetAutoDarkStatus;external 'MT_Spectrometer_SDK.dll' name 'MTSSE_SetAutoDarkStatus';
  function MTSSE_SetRRCStatus;external 'MT_Spectrometer_SDK.dll' name 'MTSSE_SetRRCStatus';
  function MTSSE_SetLETCStatus;external 'MT_Spectrometer_SDK.dll' name 'MTSSE_SetLETCStatus';
  function MTSSE_GrabSpectrum;external 'MT_Spectrometer_SDK.dll' name 'MTSSE_StartGrabSpectrum';
  function MTSSE_GetSpectrum;external 'MT_Spectrometer_SDK.dll' name 'MTSSE_GetSpectrum';
  function MTSSE_PixelValue;      external 'MT_Spectrometer_SDK.dll' name 'MTSSE_CalcPixelValue';
  function MTSSE_WavelengthValue; external 'MT_Spectrometer_SDK.dll' name 'MTSSE_CalcWavelengthValue';
  function MTSSE_FormShow;external 'MT_Spectrometer_SDK.dll' name 'MTSSE_ShowForm';
end.

