// VC_ExampleDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VC_Example.h"
#include "VC_ExampleDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

int FrameCount;
int FrameTimeStamp[200];
unsigned short *BufPtr;
unsigned short *res;
bool DevicesStarted = false;
extern CVC_ExampleApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVC_ExampleDlg dialog

CVC_ExampleDlg::CVC_ExampleDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVC_ExampleDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVC_ExampleDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CVC_ExampleDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVC_ExampleDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CVC_ExampleDlg, CDialog)
	//{{AFX_MSG_MAP(CVC_ExampleDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_DEVICEINIT_BUTTON, OnDeviceinitButton)
	ON_BN_CLICKED(IDC_GetModule_BUTTON, OnGetModuleBUTTON)
	ON_BN_CLICKED(IDC_ShowPanel_BUTTON, OnShowPanelBUTTON)
	ON_BN_CLICKED(IDC_StartGrab_BUTTON, OnStartGrabBUTTON)
	ON_BN_CLICKED(IDC_UninitailDevice_BUTTON, OnUninitailDeviceBUTTON)
	ON_BN_CLICKED(IDC_SetExposure_BUTTON, OnSetExposureBUTTON)
	ON_BN_CLICKED(IDC_SETNORMALBUTTON, OnSetnormalbutton)
	ON_BN_CLICKED(IDC_GetCurrentFrame, OnGetCurrentFrame)
	ON_BN_CLICKED(IDC_SetWorkingDevice_BUTTON, OnSetWorkingDeviceBUTTON)
	ON_BN_CLICKED(IDC_SETAVERAGEFRAMESBUTTON, OnSetaverageframesbutton)
	ON_BN_CLICKED(IDC_GetSerial_BUTTON2, OnGetSerialBUTTON)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVC_ExampleDlg message handlers
void CVC_ExampleDlg::SetPixelValueStatus( int PixelValue )
{
	CString numberStr(" ");

	numberStr.Format( "%d", PixelValue );
	SetDlgItemText( IDC_PIXELVALUE_STATIC, numberStr );
}

BOOL CVC_ExampleDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CVC_ExampleDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CVC_ExampleDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CVC_ExampleDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CVC_ExampleDlg::OnOK() 
{
	// TODO: Add extra validation here
	// Clean Up
	if ( DevicesStarted == true )
	{
		MTSSE_StopDevices();
		DevicesStarted = false;
	}
	CDialog::OnOK();
}

// Button Events:
void CVC_ExampleDlg::OnDeviceinitButton() 
{
	int TotalDevices;
	CString MyStr;

	// TODO: Add your control notification handler code here
	TotalDevices = MTSSE_StartDevices( m_hWnd );
	DevicesStarted = true;
	if ( TotalDevices > 0 )
	{
		MyStr.Format( "There are %d SSE devices.", TotalDevices );
		MessageBox( MyStr );
	}
	else
	{
		MessageBox( "There is no SSE device!" );
		OnOK(); // Exit
	}

}

void CVC_ExampleDlg::OnUninitailDeviceBUTTON() 
{
	// TODO: Add your control notification handler code here
	if ( DevicesStarted == true )
	{
		MTSSE_StopDevices();
		DevicesStarted = false;
	}
}

void CVC_ExampleDlg::OnGetModuleBUTTON() 
{
	char ModuleNo[32];

	// TODO: Add your control notification handler code here
	// We always take the first Device (if there're more than one) as example.
	if ( MTSSE_GetModuleNo( 1, ModuleNo ) != -1 )
		SetDlgItemText(IDC_ModuleNo_STATIC, CString( ModuleNo ) );
}

void CVC_ExampleDlg::OnGetSerialBUTTON() 
{
	char SerialNo[32];
	// TODO: Add your control notification handler code here
	if ( MTSSE_GetSerialNo( 1, SerialNo ) != -1 )
		SetDlgItemText(IDC_SerialNo_STATIC, CString( SerialNo ) );
}

void CVC_ExampleDlg::OnSetWorkingDeviceBUTTON() 
{
	// TODO: Add your control notification handler code here
	MTSSE_SetWorkingDevice(1);
}

void CVC_ExampleDlg::OnShowPanelBUTTON() 
{
	// TODO: Add your control notification handler code here
	MTSSE_ShowForm();
}


void CVC_ExampleDlg::OnStartGrabBUTTON() 
{
	// TODO: Add your control notification handler code here
	MTSSE_StartGrabSpectrum();
}

void CVC_ExampleDlg::OnGetCurrentFrame() 
{
	unsigned short FrameBuf[3648];
	int PixelValue;
	int i;

	// TODO: Add your control notification handler code here
	PixelValue = 0;
	res = MTSSE_GetSpectrum(BufPtr, 1 );
	if ( res != NULL )
	{
		for ( i=0; i<3648; i++ )
		{
			FrameBuf[i] = *BufPtr++;
			PixelValue += FrameBuf[i];
		}
		PixelValue = PixelValue / 3648;
		SetPixelValueStatus( PixelValue );
	}
}


void CVC_ExampleDlg::OnSetExposureBUTTON() 
{
	// TODO: Add your control notification handler code here
	MTSSE_SetExposureTime( 1500 );
}

void CVC_ExampleDlg::OnSetnormalbutton() 
{
	// TODO: Add your control notification handler code here
	// Set To Normal Mode
	MTSSE_SetDeviceWorkMode( 0 );
}

void CVC_ExampleDlg::OnSetaverageframesbutton() 
{
	// TODO: Add your control notification handler code here
	MTSSE_SetFrameAvgCnt(2);
}


