// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the MTUSBDLL_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// MTUSBDLL_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.
typedef int SDK_RETURN_CODE;

#ifdef SDK_EXPORTS
#define SDK_API extern "C" __declspec(dllexport) SDK_RETURN_CODE _cdecl
#define SDK_HANDLE_API extern "C" __declspec(dllexport) DEV_HANDLE _cdecl
#define SDK_POINTER_API extern "C" __declspec(dllexport) unsigned short * _cdecl
#else
#define SDK_API extern "C" __declspec(dllimport) SDK_RETURN_CODE _cdecl
#define SDK_HANDLE_API extern "C" __declspec(dllimport) DEV_HANDLE _cdecl
#define SDK_POINTER_API extern "C" __declspec(dllimport) unsigned short * _cdecl
#endif


// Export functions:
SDK_API MTSSE_StartDevices( HWND ParentHandle );
SDK_API MTSSE_StopDevices( void );
SDK_API MTSSE_SetWorkingDevice( int DeviceID );
SDK_API MTSSE_GetModuleNo( int DeviceID, char *ModuleNo );
SDK_API MTSSE_GetSerialNo( int DeviceID, char *SerialNo );

SDK_API MTSSE_SetDeviceWorkMode( int WorkMode );
SDK_API MTSSE_SetExposureTime( int MicroSecond );
SDK_API MTSSE_SetFrameAvgCnt( int AvgCount );
SDK_API MTSSE_SetAutoDarkStatus( int AutoDarkCompensationStatus );
SDK_API MTSSE_SetRRCStatus( int RRCStatus );
SDK_API MTSSE_SetLETCStatus( int ETCStatus );
SDK_API MTSSE_StartGrabSpectrum( void );
SDK_POINTER_API MTSSE_GetSpectrum(unsigned short* &SpectrumDataPtr, int WaitUntilDone );
SDK_API MTSSE_CalcPixelValue( int wavelength );
SDK_API MTSSE_CalcWavelengthValue( int pixel );
SDK_API MTSSE_ShowForm( void );
SDK_API MTSSE_SetGPIOConfig( unsigned char ConfigByte );
SDK_API MTSSE_SetGPIOInOut( unsigned char OutputByte, unsigned char *InputBytePtr );


